(function($) {
	function resetTemplateListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgMail['backend.delete_template'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	function sendMailListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgMail['backend.send_mail_manually'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	function resendMailListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgMail['backend.send_mail_again'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	function toggleMailBody(_event) {
		var uid = $(_event.currentTarget).data('uid');
		$('#toggle-' + uid).detach().appendTo('body').modal('show');;
	}

	$(document).ready(function() {
		$('.reset-btn').on('click', resetTemplateListener);
		$('.btn-send-now').on('click', sendMailListener);
		$('.btn-resend').on('click', resendMailListener);
		$('.btn-toggle').on('click', toggleMailBody);
	});
})
(TYPO3.jQuery);
